install dependencies for analyics, install newer jquery, bump version number
Scott Baker [Thu, 20 Mar 2014 06:45:49 +0000 (23:45 -0700)]
Makefile
opencloud.spec

index be5701d..4f99d50 100644 (file)
--- a/Makefile
+++ b/Makefile
@@ -9,7 +9,7 @@ dist rpm: $(NAME)-$(VERSION)-$(RELEASE).rpm
 
 $(NAME)-$(VERSION).tar.gz:
        mkdir -p $(NAME)-$(VERSION)
-       rsync -av --exclude=.svn --exclude=.git --exclude=*.tar.gz --exclude=$(NAME)-$(VERSION)/ ./ $(NAME)-$(VERSION)
+       rsync -av --exclude=.svn --exclude=.git --exclude=*.tar.gz --exclude=__history --exclude=$(NAME)-$(VERSION)/ ./ $(NAME)-$(VERSION)
        tar -czf $@ $(NAME)-$(VERSION)
        rm -fr $(NAME)-$(VERSION)
 
index dab5f11..45bc849 100644 (file)
@@ -1,6 +1,6 @@
 Summary: OpenCloud core services
 Name: opencloud
-Version: 1.0
+Version: 1.0.2
 Release: 1
 License: GPL+
 Group: Development/Tools
@@ -16,6 +16,7 @@ requires: libxslt-devel
 requires: python-pip
 requires: tar
 requires: gcc
+requires: python-httplib2
 
 %description
 %{summary}
@@ -42,8 +43,13 @@ pip-python install django-geoposition
 pip-python install django-extensions
 pip-python install django-suit
 pip-python install django-evolution
+pip-python install django-bitfield
 
 easy_install django_evolution
+easy_install python_gflags
+easy_install google_api_python_client
+
+wget -P /usr/lib/python2.7/site-packages/suit/static/suit/js http://code.jquery.com/jquery-1.9.1.min.js
 
 %install
 rm -rf %{buildroot}